Rockbox Technical Forums

Installation / Removal => Manual Installation => Archos - Installation/Removal/Flashing => Topic started by: zipr on May 14, 2008, 05:26:13 PM

Title: "Incompatible Version" when trying to flash my recorder
Post by: zipr on May 14, 2008, 05:26:13 PM
UPDATE: I downloaded a fresh build last night and it installed fine. Perhaps I was doing something foolish on my end!

Hey all -- I'm trying to upgrade by Recorder v1 and am unable to flash to the latest build (May 14). I can rolo over to the ajbrec.ajz file no problem, but when I try to run the rockbox.ucl file, it gives me an "incompatible version" message.

I tried to do it manually, and then tried rbutil with no luck.

The current build I'm running is from Oct 21 of 2007, so I thought that perhaps I'd have to upgrade the bootloader, so I ran the firmware_flash.rock, and got the same "incompatible version" result.

Anyone have any ideas?  I've flashed rockbox a ton of times, and have never had a problem until today. 

Thanks for any help!
Zipr
Title: Re: "Incompatible Version" when trying to flash my recorder
Post by: pixelma on May 14, 2008, 06:47:45 PM
Do you really try to run the rockbox.ucl after rolo'ing the ajbrec.ajz, meaning when the new version is running?
Those two need to match and I seem to remember that I got a similar result when I once forgot to load the new firmware beforehand (on my Ondio where the process is very similar). I didn't have a problem with the last build I tried to flash - r17293, April 30th - but haven't checked since.

Another idea is that you might have downloaded a wrong build (maybe the one for a modded RecorderV1, the "8MB" one?).
Title: Re: "Incompatible Version" when trying to flash my recorder
Post by: zipr on May 15, 2008, 09:17:36 AM
Do you really try to run the rockbox.ucl after rolo'ing the ajbrec.ajz, meaning when the new version is running?
Those two need to match and I seem to remember that I got a similar result when I once forgot to load the new firmware beforehand (on my Ondio where the process is very similar). I didn't have a problem with the last build I tried to flash - r17293, April 30th - but haven't checked since.

Another idea is that you might have downloaded a wrong build (maybe the one for a modded RecorderV1, the "8MB" one?).

Those were the first two things I checked. I'm 99% sure I did rolo the latest ajbrec file.  And I went and re-downloaded the rockbox.zip file to make sure that I had the right one.  Still had the problem.  I will give it another shot tonight and see if it's something I'm doing.